import { Component } from 'react';
import { ViewStyle, TextStyle } from 'react-native';
declare type Props = {
    length: number;
    onChangeCode?: (code: string) => void | Promise<void>;
    onFullFill?: (code: string) => void | Promise<void>;
    style?: ViewStyle;
    codeContainerStyle?: ViewStyle;
    codeContainerCaretStyle?: ViewStyle;
    codeTextStyle?: TextStyle;
    passcode?: boolean;
    passcodeChar?: string;
    autoFocus?: boolean;
    oneTimeCode?: boolean;
};
declare type State = {
    code: string;
};
export default class InputCode extends Component<Props, State> {
    private textInputCode;
    private value;
    static defaultProps: {
        autoFocus: boolean;
    };
    constructor(props: Props);
    onPressCode: () => void;
    onChangeText: (value: string) => void;
    onBlur: () => void;
    extractCode(index: number): string;
    reset: () => void;
    focus: () => void;
    render(): JSX.Element;
}
export {};
